> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /faire/products/search

> Search Faire wholesale products by keyword with filters (category, product type, brand, brand values, ships-from, made-in, lead time, new, GTIN). Returns product cards with retail (MSRP) price, brand rating and image.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/faire/products/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/faire/products/search:
    post:
      tags:
        - /faire
      summary: /faire/products/search
      description: >-
        Search Faire wholesale products by keyword with filters (category,
        product type, brand, brand values, ships-from, made-in, lead time, new,
        GTIN). Returns product cards with retail (MSRP) price, brand rating and
        image.


        **Price:** 1 credit
      operationId: __api_faire_products_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FaireProductsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FaireSearchProduct'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FaireProductsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        country:
          $ref: '#/components/schemas/FaireCountry'
          default: USA
        query:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        categories:
          items:
            type: string
          type: array
          default: []
        product_types:
          items:
            type: string
          type: array
          default: []
        brands:
          items:
            type: string
          type: array
          default: []
        brand_values:
          items:
            $ref: '#/components/schemas/FaireBrandValue'
          type: array
          default: []
        ships_from:
          items:
            $ref: '#/components/schemas/FaireLocation'
          type: array
          default: []
        made_in:
          items:
            $ref: '#/components/schemas/FaireLocation'
          type: array
          default: []
        lead_time:
          anyOf:
            - $ref: '#/components/schemas/FaireLeadTime'
            - type: 'null'
        new_this_month:
          type: boolean
          default: false
        has_gtin:
          type: boolean
          default: false
      type: object
      required:
        - query
        - count
    FaireSearchProduct:
      properties:
        '@type':
          type: string
          default: FaireSearchProduct
        id:
          type: string
        url:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        brand_token:
          anyOf:
            - type: string
            - type: 'null'
        is_new:
          type: boolean
          default: false
        maker_best_seller:
          type: boolean
          default: false
        is_bestseller:
          type: boolean
          default: false
        has_active_brand_promo:
          type: boolean
          default: false
        avg_brand_review_rating:
          anyOf:
            - type: number
            - type: 'null'
        brand_review_count:
          anyOf:
            - type: integer
            - type: 'null'
        retail_price:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        based_in_country:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    FaireCountry:
      type: string
      enum:
        - USA
        - GBR
        - AUS
        - FRA
        - DEU
        - ITA
        - ESP
        - NLD
        - PRT
        - SWE
        - DNK
    FaireBrandValue:
      type: string
      enum:
        - asian_owned
        - black_owned
        - deaf_owned
        - disability_owned
        - eco_friendly
        - gives_back
        - hand_made
        - indigenous_owned_usa
        - latino_owned
        - lgbtq_owned
        - not_sold_on_amazon
        - organic
        - women_owned
    FaireLocation:
      type: string
      enum:
        - usa
        - gbr
        - can
        - aus
        - european_union
        - rest_of_europe
        - africa
        - asia
        - oceania
        - south_america
    FaireLeadTime:
      type: string
      enum:
        - three_or_less_days
        - six_or_less_days
        - nine_or_less_days
        - fourteen_or_less_days
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````